<script setup>
import ConfirmationModal from '@/Components/ConfirmationModal.vue';
import SecondaryButton from '@/Components/SecondaryButton.vue';
import DangerButton from '@/Components/DangerButton.vue';
import PrimaryButton from '@/Components/PrimaryButton.vue';
</script>

<template>
    <ConfirmationModal :show="showModal" @close="$emit('closeModal')">
        <template #title>
            {{ title }}
        </template>

        <template #content>
            {{ content }}
        </template>

        <template #footer>
            <SecondaryButton @click="$emit('closeModal')">
                Cancel
            </SecondaryButton>

            <DangerButton
                v-if="buttonConfirmationType === 'danger'"
                class="ml-3"
                @click="$emit('confirmAction')"
            >
                {{ buttonConfirmationText }}
            </DangerButton>

            <PrimaryButton
                v-if="buttonConfirmationType === 'primary'"
                class="ml-3"
                @click="$emit('confirmAction')"
            >
                {{ buttonConfirmationText }}
            </PrimaryButton>
        </template>
    </ConfirmationModal>
</template>

<script>
export default {
    name: 'Confirmation',
    emits: [
        'closeModal',
        'confirmAction'
    ],
    props: {
        showModal: {
            type: Boolean,
            default: false,
        },
        title: {
            type: String,
            default: ''
        },
        content: {
            type: String,
            default: ''
        },
        buttonConfirmationType: {
            type: String,
            default: 'primary'
        },
        buttonConfirmationText: {
            type: String,
            default: 'confirm'
        }
    },
}
</script>
